ActiveMQQueue (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.ActiveMQQueue class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ActiveMQQueue

    java.lang.Object
      org.codehaus.activemq.jndi.JNDIBaseStorable
          org.codehaus.activemq.message.ActiveMQDestination
              org.codehaus.activemq.message.ActiveMQQueue

All Implemented Interfaces:
  Comparable, Destination, JNDIStorableInterface, Queue, Referenceable, Serializable

Direct Known Subclasses:
  ActiveMQTemporaryQueue

public class ActiveMQQueue
extends ActiveMQDestination
implements Queue

A `Queue` object encapsulates a provider-specific queue name. It is the way a client specifies the identity of a queue to JMS API methods. For those methods that use a `Destination` as a parameter, a `Queue` object used as an argument. For example, a queue can be used to create a `MessageConsumer` and a `MessageProducer` by calling:

- `Session.CreateConsumer(Destination destination)`
- `Session.CreateProducer(Destination destination)`

The actual length of time messages are held by a queue and the consequences of resource overflow are not defined by the JMS API.

See Also:
  `Session.createConsumer(javax.jms.Destination)`, `Session.createProducer(javax.jms.Destination)`, `Session.createQueue(String)`, `QueueSession.createQueue(String)`, Serialized Form

Field Summary

Fields inherited from class org.codehaus.activemq.message.ActiveMQDestination
`ACTIVEMQ_QUEUE, ACTIVEMQ_TEMPORARY_QUEUE, ACTIVEMQ_TEMPORARY_TOPIC, ACTIVEMQ_TOPIC`

Constructor Summary
`ActiveMQQueue()` Default constructor for an ActiveMQQueue Destination
`ActiveMQQueue(String name)` Construct a named ActiveMQQueue Destination

Method Summary
`protected Destination` | `createDestination(String name)` Factory method to create a child destination if this destination is a composite
`protected JMSDestinationStats` | `createDestinationStats()` Factory method to create a statistics counter object
`int` | `getDestinationType()`
`String` | `getQueueName()` Gets the name of this queue.

Methods inherited from class org.codehaus.activemq.message.ActiveMQDestination
`buildFromProperties, compareTo, compareTo, createTemporaryName, equals, getChildDestinations, getClientId, getDestinationFilter, getDestinationPaths, getPhysicalName, getStats, hashCode, inspect, isComposite, isQueue, isTemporary, isTopic, isWildcard, matches, populateProperties, readFromStream, setPhysicalName, setStats, toString, transformDestination, writeToStream`

Methods inherited from class org.codehaus.activemq.jndi.JNDIBaseStorable
`getProperties, getReference, setProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Queue
`toString`

Constructor Detail

### ActiveMQQueue

    public ActiveMQQueue()

  Default constructor for an ActiveMQQueue Destination

### ActiveMQQueue

    public ActiveMQQueue(String name)

  Construct a named ActiveMQQueue Destination

Parameters:
  `name` -

Method Detail

### getQueueName

    public String getQueueName()

  Gets the name of this queue.

  Clients that depend upon the name are not portable.

  Specified by:
    `getQueueName` in interface `Queue`
  Returns:
    the queue name

### getDestinationType

    public int getDestinationType()

  Specified by:
    `getDestinationType` in class `ActiveMQDestination`
  Returns:
    Returns the Destination type

### createDestination

    protected Destination createDestination(String name)

  Description copied from class: `ActiveMQDestination`
  Factory method to create a child destination if this destination is a composite

  Specified by:
    `createDestination` in class `ActiveMQDestination`

### createDestinationStats

    protected JMSDestinationStats createDestinationStats()

  Description copied from class: `ActiveMQDestination`
  Factory method to create a statistics counter object

  Specified by:
    `createDestinationStats` in class `ActiveMQDestination`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.